#include "Point.h"

class Rectangle {
    Point base, corner;
public:
    Rectangle(Point base, Point corner): 
        base(base), corner(corner) {}
    Point getBase() { return base; } 
        // The 'base' is the upper left-hand corner.
    Point getCorner() { return corner; }
        // The 'corner' is the lower right-hand corner.
};
